%define	upstream_name	 Params-Validate
%define upstream_version 1.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    1
Summary:	Validate method/function call parameters
License:	GPL+ or Artistic
Group:		Development/Other
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Params/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Attribute::Handlers)
BuildRequires:	perl(Test::Requires)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Module::Implementation)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl-devel >= 2:5.14
BuildRequires:	perl-List-MoreUtils >= 0.320.0-3

%description
The Params::Validate module provides a flexible system for validation
method/function call parameters.

The validation can be as simple as checking for the presence of required
parameters or as complex as validating object classes (via isa) or capabilities
(via can), checking parameter types, and using customized callbacks to ensure
data integrity.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
# avoid strange unlinking error
rm -f t/28-readonly-return.t
./Build test

%install
rm -fr %{buildroot}
./Build install destdir=%{buildroot}

%files
%doc  Changes
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog

* Thu Jun 15 2017 dsilakov <denis.silakov@rosalab.ru> 1.280.0-1
- (9367f13) Merge pull request #8 from import/perl-Params-Validate:auto_update
- (9367f13) Updated to 1.28 (by updates_builder)


